//Patriche Robert Cosmin

#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

double calcolaMedia(int arr[], int size);
int trovaMassimo(int arr[], int size);
int trovaMinimo(int arr[], int size);

int main() {
    const int DIM = 15;
    int voti[DIM];
    srand(time(0));
    
    cout << "Array dei voti: ";
    for (int i = 0; i < DIM; i++) {
        voti[i] = rand() % 31; // Voti tra 0 e 30
        cout << voti[i] << " ";
    }
    cout << endl;
    
    double media = calcolaMedia(voti, DIM);
    int massimo = trovaMassimo(voti, DIM);
    int minimo = trovaMinimo(voti, DIM);
    
    cout << "Media dei voti: " << media << endl;
    cout << "Voto massimo: " << massimo << endl;
    cout << "Voto minimo: " << minimo << endl;

    return 0;
}

double calcolaMedia(int arr[], int size) {
    double somma = 0;
    for (int i = 0; i < size; i++) {
        somma += arr[i];
    }
    return somma / size;
}

int trovaMassimo(int arr[], int size) {
    int massimo = arr[0];
    for (int i = 1; i < size; i++) {
        if (arr[i] > massimo) massimo = arr[i];
    }
    return massimo;
}

int trovaMinimo(int arr[], int size) {
    int minimo = arr[0];
    for (int i = 1; i < size; i++) {
        if (arr[i] < minimo) minimo = arr[i];
    }
    return minimo;
}
